## nodejs 0.6.8~dfsg1

=== Makefile ===
PYTHON ?= python
WAF    = $(PYTHON) tools/waf-light

web_root = node@nodejs.org:~/web/nodejs.org/

#
# Because we recursively call make from waf we need to make sure that we are
# using the correct make. Not all makes are GNU Make, but this likely only
# works with gnu make. To deal with this we remember how the user invoked us
# via a make builtin variable and use that in all subsequent operations
#
export NODE_MAKE := $(MAKE)

all: program
	@-[ -f out/Release/node ] && ls -lh out/Release/node

all-progress:
	@$(WAF) -p build

program:
	@$(WAF) --product-type=program build

staticlib:
	@$(WAF) --product-type=cstaticlib build

dynamiclib:
	@$(WAF) --product-type=cshlib build

install:
	@$(WAF) install

uninstall:
	@$(WAF) uninstall

test: all
	$(PYTHON) tools/test.py --mode=release simple message

test-http1: all
	$(PYTHON) tools/test.py --mode=release --use-http1 simple message

test-valgrind: all
	$(PYTHON) tools/test.py --mode=release --valgrind simple message

test-all: all
	$(PYTHON) tools/test.py --mode=debug,release
	make test-npm

test-all-http1: all
	$(PYTHON) tools/test.py --mode=debug,release --use-http1

test-all-valgrind: all
	$(PYTHON) tools/test.py --mode=debug,release --valgrind

test-release: all
	$(PYTHON) tools/test.py --mode=release

test-debug: all
	$(PYTHON) tools/test.py --mode=debug

test-message: all
	$(PYTHON) tools/test.py message

test-simple: all
	$(PYTHON) tools/test.py simple

test-pummel: all
	$(PYTHON) tools/test.py pummel

test-internet: all
	$(PYTHON) tools/test.py internet

test-npm: all
	./node deps/npm/test/run.js

test-npm-publish: all
	npm_package_config_publishtest=true ./node deps/npm/test/run.js

out/Release/node: all

apidoc_sources = $(wildcard doc/api/*.markdown)
apidocs = $(addprefix out/,$(apidoc_sources:.markdown=.html))

apidoc_dirs = out/doc out/doc/api/ out/doc/api/assets out/doc/about out/doc/community out/doc/logos

apiassets = $(subst api_assets,api/assets,$(addprefix out/,$(wildcard doc/api_assets/*)))

website_files = \
	out/doc/index.html    \
	out/doc/v0.4_announcement.html   \
	out/doc/cla.html      \
	out/doc/sh_main.js    \
	out/doc/sh_javascript.min.js \
	out/doc/sh_vim-dark.css \
	out/doc/logo.png      \
	out/doc/sponsored.png \
	out/doc/favicon.ico   \
	out/doc/pipe.css \
	out/doc/about/index.html \
	out/doc/close-downloads.png \
	out/doc/community/index.html \
	out/doc/community/not-invented-here.png \
	out/doc/download-logo.png \
	out/doc/ebay-logo.png \
	out/doc/footer-logo.png \
	out/doc/icons.png \
	out/doc/linkedin-logo.png \
	out/doc/logos/index.html \
	out/doc/microsoft-logo.png \
	out/doc/platform-icons.png \
	out/doc/ryan-speaker.jpg \
	out/doc/yahoo-logo.png

doc docs: out/Release/node $(apidoc_dirs) $(website_files) $(apiassets) $(apidocs)

$(apidoc_dirs):
	mkdir -p $@

out/doc/api/assets/%: doc/api_assets/% out/doc/api/assets/
	cp $< $@

out/doc/%: doc/%
	cp $< $@

out/doc/api/%.html: doc/api/%.markdown out/Release/node $(apidoc_dirs) $(apiassets) tools/doctool/doctool.js
	out/Release/node tools/doctool/doctool.js doc/template.html $< > $@

out/doc/%:

website-upload: doc
	rsync -r out/doc/ node@nodejs.org:~/web/nodejs.org/

docopen: out/doc/api/all.html
	-google-chrome out/doc/api/all.html

docclean:
	-rm -rf out/doc

clean:
	$(WAF) clean
	-find tools -name "*.pyc" | xargs rm -f

distclean: docclean
	-find tools -name "*.pyc" | xargs rm -f
	-rm -rf dist-osx
	-rm -rf out/ node node_g

check:
	@tools/waf-light check

VERSION=v$(shell $(PYTHON) tools/getnodeversion.py)
TARNAME=node-$(VERSION)
TARBALL=$(TARNAME).tar.gz
PKG=out/$(TARNAME).pkg

packagemaker=/Developer/Applications/Utilities/PackageMaker.app/Contents/MacOS/PackageMaker

#dist: doc/node.1 doc/api
dist: $(TARBALL) $(PKG)

PKGDIR=out/dist-osx

pkg: $(PKG)

$(PKG):
	-rm -rf $(PKGDIR)
	$(WAF) configure --prefix=/usr/local --without-snapshot
	DESTDIR=$(PKGDIR) $(WAF) install
	$(packagemaker) \
		--id "org.nodejs.NodeJS-$(VERSION)" \
		--doc tools/osx-pkg.pmdoc \
		--out $(PKG)

$(TARBALL): out/doc
	git archive --format=tar --prefix=$(TARNAME)/ HEAD | tar xf -
	mkdir -p $(TARNAME)/doc
	cp doc/node.1 $(TARNAME)/doc/node.1
	cp -r out/doc/api $(TARNAME)/doc/api
	rm -rf $(TARNAME)/deps/v8/test # too big
	rm -rf $(TARNAME)/doc/logos # too big
	tar -cf $(TARNAME).tar $(TARNAME)
	rm -rf $(TARNAME)
	gzip -f -9 $(TARNAME).tar

dist-upload: $(TARBALL) $(PKG)
	ssh node@nodejs.org mkdir -p web/nodejs.org/dist/$(VERSION)
	scp $(TARBALL) node@nodejs.org:~/web/nodejs.org/dist/$(VERSION)/$(TARBALL)
	scp $(PKG) node@nodejs.org:~/web/nodejs.org/dist/$(VERSION)/$(TARNAME).pkg

bench:
	 benchmark/http_simple_bench.sh

bench-idle:
	./node benchmark/idle_server.js &
	sleep 1
	./node benchmark/idle_clients.js &

jslint:
	PYTHONPATH=tools/closure_linter/ $(PYTHON) tools/closure_linter/closure_linter/gjslint.py --unix_mode --strict --nojsdoc -r lib/ -r src/ -r test/ --exclude_files lib/punycode.js

cpplint:
	@$(PYTHON) tools/cpplint.py $(wildcard src/*.cc src/*.h src/*.c)

lint: jslint cpplint

.PHONY: lint cpplint jslint bench clean docopen docclean doc dist distclean dist-upload check uninstall install all program staticlib dynamiclib test test-all website-upload

=== deps/v8/SConstruct ===
# Copyright 2011 the V8 project authors. All rights reserved.
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#     * Neither the name of Google Inc. nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

import platform
import re
import subprocess
import sys
import os
from os.path import join, dirname, abspath
from types import DictType, StringTypes
root_dir = dirname(File('SConstruct').rfile().abspath)
sys.path.insert(0, join(root_dir, 'tools'))
import js2c, utils

# ARM_TARGET_LIB is the path to the dynamic library to use on the target
# machine if cross-compiling to an arm machine. You will also need to set
# the additional cross-compiling environment variables to the cross compiler.
ARM_TARGET_LIB = os.environ.get('ARM_TARGET_LIB')
if ARM_TARGET_LIB:
  ARM_LINK_FLAGS = ['-Wl,-rpath=' + ARM_TARGET_LIB + '/lib:' +
                     ARM_TARGET_LIB + '/usr/lib',
                    '-Wl,--dynamic-linker=' + ARM_TARGET_LIB +
                    '/lib/ld-linux.so.3']
else:
  ARM_LINK_FLAGS = []

GCC_EXTRA_CCFLAGS = []
GCC_DTOA_EXTRA_CCFLAGS = []

LIBRARY_FLAGS = {
  'all': {
    'CPPPATH': [join(root_dir, 'src')],
    'regexp:interpreted': {
      'CPPDEFINES': ['V8_INTERPRETED_REGEXP']
    },
    'mode:debug': {
      'CPPDEFINES': ['V8_ENABLE_CHECKS', 'OBJECT_PRINT']
    },
    'objectprint:on': {
      'CPPDEFINES':   ['OBJECT_PRINT'],
    },
    'debuggersupport:on': {
      'CPPDEFINES':   ['ENABLE_DEBUGGER_SUPPORT'],
    },
    'inspector:on': {
      'CPPDEFINES':   ['INSPECTOR'],
    },
    'fasttls:off': {
      'CPPDEFINES':   ['V8_NO_FAST_TLS'],
    },
    'liveobjectlist:on': {
      'CPPDEFINES':   ['ENABLE_DEBUGGER_SUPPORT', 'INSPECTOR',
                       'LIVE_OBJECT_LIST', 'OBJECT_PRINT'],
    }
  },
  'gcc': {
    'all': {
      'CCFLAGS':      ['$DIALECTFLAGS', '$WARNINGFLAGS'],
      'CXXFLAGS':     ['-fno-rtti', '-fno-exceptions'],
    },
    'visibility:hidden': {
      # Use visibility=default to disable this.
      'CXXFLAGS':     ['-fvisibility=hidden']
    },
    'strictaliasing:off': {
      'CCFLAGS':      ['-fno-strict-aliasing']
    },
    'mode:debug': {
      'CCFLAGS':      ['-g', '-O0'],
      'CPPDEFINES':   ['ENABLE_DISASSEMBLER', 'DEBUG'],
    },
    'mode:release': {
      'CCFLAGS':      ['-O3', '-fomit-frame-pointer', '-fdata-sections',
                       '-ffunction-sections'],
    },
    'os:linux': {
      'CCFLAGS':      ['-ansi'] + GCC_EXTRA_CCFLAGS,
      'library:shared': {
        'CPPDEFINES': ['V8_SHARED'],
        'LIBS': ['pthread']
      }
    },
    'os:macos': {
      'CCFLAGS':      ['-ansi', '-mmacosx-version-min=10.4'],
      'library:shared': {
        'CPPDEFINES': ['V8_SHARED']
      }
    },
    'os:freebsd': {
      'CPPPATH' : ['/usr/local/include'],
      'LIBPATH' : ['/usr/local/lib'],
      'CCFLAGS':      ['-ansi'],
      'LIBS': ['execinfo']
    },
    'os:openbsd': {
      'CPPPATH' : ['/usr/local/include'],
      'LIBPATH' : ['/usr/local/lib'],
      'CCFLAGS':      ['-ansi'],
    },
    'os:solaris': {
      # On Solaris, to get isinf, INFINITY, fpclassify and other macros one
      # needs to define __C99FEATURES__.
      'CPPDEFINES': ['__C99FEATURES__'],
      'CPPPATH' : ['/usr/local/include'],
      'LIBPATH' : ['/usr/local/lib'],
      'CCFLAGS':      ['-ansi'],
    },
    'os:win32': {
      'CCFLAGS':      ['-DWIN32'],
      'CXXFLAGS':     ['-DWIN32'],
    },
    'arch:ia32': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_IA32'],
      'CCFLAGS':      ['-m32'],
      'LINKFLAGS':    ['-m32']
    },
    'arch:arm': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_ARM'],
      'unalignedaccesses:on' : {
        'CPPDEFINES' : ['CAN_USE_UNALIGNED_ACCESSES=1']
      },
      'unalignedaccesses:off' : {
        'CPPDEFINES' : ['CAN_USE_UNALIGNED_ACCESSES=0']
      },
      'armeabi:soft' : {
        'CPPDEFINES' : ['USE_EABI_HARDFLOAT=0'],
        'simulator:none': {
          'CCFLAGS':     ['-mfloat-abi=soft'],
        }
      },
      'armeabi:softfp' : {
        'CPPDEFINES' : ['USE_EABI_HARDFLOAT=0'],
        'vfp3:on': {
          'CPPDEFINES' : ['CAN_USE_VFP_INSTRUCTIONS']
        },
        'simulator:none': {
          'CCFLAGS':     ['-mfloat-abi=softfp'],
        }
      },
      'armeabi:hard' : {
        'CPPDEFINES' : ['USE_EABI_HARDFLOAT=1'],
        'vfp3:on': {
          'CPPDEFINES' : ['CAN_USE_VFP_INSTRUCTIONS']
        },
        'simulator:none': {
          'CCFLAGS':     ['-mfloat-abi=hard'],
        }
      }
    },
    'simulator:arm': {
      'CCFLAGS':      ['-m32'],
      'LINKFLAGS':    ['-m32'],
    },
    'arch:mips': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_MIPS'],
      'mips_arch_variant:mips32r2': {
        'CPPDEFINES':    ['_MIPS_ARCH_MIPS32R2']
      },
      'simulator:none': {
        'CCFLAGS':      ['-EL'],
        'LINKFLAGS':    ['-EL'],
        'mips_arch_variant:mips32r2': {
          'CCFLAGS':      ['-mips32r2', '-Wa,-mips32r2']
        },
        'mips_arch_variant:mips32r1': {
          'CCFLAGS':      ['-mips32', '-Wa,-mips32']
        },
        'library:static': {
          'LINKFLAGS':    ['-static', '-static-libgcc']
        },
        'mipsabi:softfloat': {
          'CCFLAGS':      ['-msoft-float'],
          'LINKFLAGS':    ['-msoft-float']
        },
        'mipsabi:hardfloat': {
          'CCFLAGS':      ['-mhard-float'],
          'LINKFLAGS':    ['-mhard-float']
        }
      }
    },
    'simulator:mips': {
      'CCFLAGS':      ['-m32'],
      'LINKFLAGS':    ['-m32'],
      'mipsabi:softfloat': {
        'CPPDEFINES':    ['__mips_soft_float=1'],
      },
      'mipsabi:hardfloat': {
        'CPPDEFINES':    ['__mips_hard_float=1'],
      }
    },
    'arch:x64': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_X64'],
      'CCFLAGS':      ['-m64'],
      'LINKFLAGS':    ['-m64'],
    },
    'gdbjit:on': {
      'CPPDEFINES':   ['ENABLE_GDB_JIT_INTERFACE']
    },
    'compress_startup_data:bz2': {
      'CPPDEFINES':   ['COMPRESS_STARTUP_DATA_BZ2']
    }
  },
  'msvc': {
    'all': {
      'CCFLAGS':      ['$DIALECTFLAGS', '$WARNINGFLAGS'],
      'CXXFLAGS':     ['/GR-', '/Gy'],
      'CPPDEFINES':   ['WIN32'],
      'LINKFLAGS':    ['/INCREMENTAL:NO', '/NXCOMPAT', '/IGNORE:4221'],
      'CCPDBFLAGS':   ['/Zi']
    },
    'verbose:off': {
      'DIALECTFLAGS': ['/nologo'],
      'ARFLAGS':      ['/NOLOGO']
    },
    'arch:ia32': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_IA32', '_USE_32BIT_TIME_T'],
      'LINKFLAGS':    ['/MACHINE:X86'],
      'ARFLAGS':      ['/MACHINE:X86']
    },
    'arch:x64': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_X64'],
      'LINKFLAGS':    ['/MACHINE:X64'],
      'ARFLAGS':      ['/MACHINE:X64']
    },
    'mode:debug': {
      'CCFLAGS':      ['/Od', '/Gm'],
      'CPPDEFINES':   ['_DEBUG', 'ENABLE_DISASSEMBLER', 'DEBUG'],
      'LINKFLAGS':    ['/DEBUG'],
      'msvcrt:static': {
        'CCFLAGS': ['/MTd']
      },
      'msvcrt:shared': {
        'CCFLAGS': ['/MDd']
      }
    },
    'mode:release': {
      'CCFLAGS':      ['/O2'],
      'LINKFLAGS':    ['/OPT:REF', '/OPT:ICF'],
      'msvcrt:static': {
        'CCFLAGS': ['/MT']
      },
      'msvcrt:shared': {
        'CCFLAGS': ['/MD']
      },
      'msvcltcg:on': {
        'CCFLAGS':      ['/GL'],
        'ARFLAGS':      ['/LTCG'],
        'pgo:off': {
          'LINKFLAGS':    ['/LTCG'],
        },
        'pgo:instrument': {
          'LINKFLAGS':    ['/LTCG:PGI']
        },
        'pgo:optimize': {
          'LINKFLAGS':    ['/LTCG:PGO']
        }
      }
    }
  }
}


V8_EXTRA_FLAGS = {
  'gcc': {
    'all': {
      'WARNINGFLAGS': ['-Wall',
                       '-W',
                       '-Wno-unused-parameter',
                       '-Wnon-virtual-dtor']
    },
    'os:win32': {
      'WARNINGFLAGS': ['-pedantic', '-Wno-long-long']
    },
    'os:linux': {
      'WARNINGFLAGS': ['-pedantic'],
      'library:shared': {
        'soname:on': {
          'LINKFLAGS': ['-Wl,-soname,${SONAME}']
        }
      }
    },
    'os:macos': {
      'WARNINGFLAGS': ['-pedantic']
    },
    'arch:arm': {
      # This is to silence warnings about ABI changes that some versions of the
      # CodeSourcery G++ tool chain produce for each occurrence of varargs.
      'WARNINGFLAGS': ['-Wno-abi']
    },
    'disassembler:on': {
      'CPPDEFINES':   ['ENABLE_DISASSEMBLER']
    }
  },
  'msvc': {
    'all': {
      'WARNINGFLAGS': ['/W3', '/WX', '/wd4351', '/wd4355', '/wd4800']
    },
    'library:shared': {
      'CPPDEFINES': ['BUILDING_V8_SHARED'],
      'LIBS': ['winmm', 'ws2_32']
    },
    'arch:arm': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_ARM'],
      # /wd4996 is to silence the warning about sscanf
      # used by the arm simulator.
      'WARNINGFLAGS': ['/wd4996']
    },
    'arch:mips': {
      'CPPDEFINES':   ['V8_TARGET_ARCH_MIPS'],
      'mips_arch_variant:mips32r2': {
        'CPPDEFINES':    ['_MIPS_ARCH_MIPS32R2']
      },
    },
    'disassembler:on': {
      'CPPDEFINES':   ['ENABLE_DISASSEMBLER']
    }
  }
}


MKSNAPSHOT_EXTRA_FLAGS = {
  'gcc': {
    'os:linux': {
      'LIBS': ['pthread'],
    },
    'os:macos': {
      'LIBS': ['pthread'],
    },
    'os:freebsd': {
      'LIBS': ['execinfo', 'pthread']
    },
    'os:solaris': {
      'LIBS': ['m', 'pthread', 'socket', 'nsl', 'rt'],
      'LINKFLAGS': ['-mt']
    },
    'os:openbsd': {
      'LIBS': ['execinfo', 'pthread']
    },
    'os:win32': {
      'LIBS': ['winmm', 'ws2_32'],
    },
    'compress_startup_data:bz2': {
      'os:linux': {
        'LIBS': ['bz2']
      }
    },
  },
  'msvc': {
    'all': {
      'CPPDEFINES': ['_HAS_EXCEPTIONS=0'],
      'LIBS': ['winmm', 'ws2_32']
    }
  }
}


DTOA_EXTRA_FLAGS = {
  'gcc': {
    'all': {
      'WARNINGFLAGS': ['-Wno-uninitialized'],
      'CCFLAGS': GCC_DTOA_EXTRA_CCFLAGS
    }
  },
  'msvc': {
    'all': {
      'WARNINGFLAGS': ['/WX', '/wd4018', '/wd4244']
    }
  }
}


CCTEST_EXTRA_FLAGS = {
  'all': {
    'CPPPATH': [join(root_dir, 'src')],
    'library:shared': {
      'CPPDEFINES': ['USING_V8_SHARED']
    },
  },
  'gcc': {
    'all': {
      'LIBPATH':      [abspath('.')],
      'CCFLAGS':      ['$DIALECTFLAGS', '$WARNINGFLAGS'],
      'CXXFLAGS':     ['-fno-rtti', '-fno-exceptions'],
      'LINKFLAGS':    ['$CCFLAGS'],
    },
    'os:linux': {
      'LIBS':         ['pthread'],
      'CCFLAGS':      ['-Wno-unused-but-set-variable'],
    },
    'os:macos': {
      'LIBS':         ['pthread'],
    },
    'os:freebsd': {
      'LIBS':         ['execinfo', 'pthread']
    },
    'os:solaris': {
      'LIBS':         ['m', 'pthread', 'socket', 'nsl', 'rt'],
      'LINKFLAGS':    ['-mt']

=== debian/changelog ===
nodejs (0.6.8~dfsg1-1) experimental; urgency=low

  * New upstream release. Closes:bug#650661
  * Repackage to remove non-dfsg font files ./deps/npm/html/*/*.ttf
  * Remove unneeded bundled dependencies: lighter tarball,
    debian/copyright is easier to maintain.
  * Drop unneeded build-dependency on scons.
  * Depend on zlib1g, libc-ares, libev.
    Patches done to support building with those shared libs.
  * Fix DEB_UPSTREAM_URL in debian/rules, and debian/watch.
  * nodejs.pc file for pkgconfig is no more available.
  * Build-depend on procps package, a test is using /bin/ps.
  * Refreshed debian/patches/2005_expected_failing_tests.patch,
    only for tests that need networking.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 24 Jan 2012 13:37:01 +0100

=== debian/control ===
Source: nodejs
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Dave Beckett <dajobe@debian.org>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Build-Depends: cdbs (>= 0.4.70~),
 autotools-dev,
 devscripts,
 debhelper,
 dh-buildinfo,
 python,
 libv8-dev (>= 3.6.6),
 libv8-dev (<< 3.7),
 binutils,
 libssl-dev (>= 0.9.8),
 libev-dev (>= 4.04),
 libc-ares-dev (>= 1.7.5),
 openssl (>= 0.9.8),
 pkg-config,
 bash-completion,
 curl,
 procps,
 zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://nodejs.org/
Vcs-Browser: http://git.debian.org/?p=collab-maint/nodejs.git
Vcs-Git: git://git.debian.org/git/collab-maint/nodejs.git

Package: nodejs-dev
Section: devel
Architecture: any
Depends: nodejs (= ${binary:Version}),
 ${misc:Depends},
 python,
 libv8-dev (>= 3.6.6),
 libv8-dev (<< 3.7),
 libssl-dev (>= 0.9.8),
 libev-dev (>= 4.04),
 libc-ares-dev (>= 1.7.5)
Description: Development files for Node.js
 Node.js provides an event-based server-side javascript engine.
 .
 It is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 Node.js takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 This package is needed to build plugins.

Package: nodejs
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Conflicts: node
Description: Node.js event-based server-side javascript engine
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.

Package: nodejs-dbg
Section: debug
Architecture: any
Depends: ${misc:Depends},
 nodejs (= ${binary:Version})
Suggests: libv8-dbg
Description: Node.js event-based server-side javascript engine (debug)
 Node.js is similar in design to and influenced by systems like
 Ruby's Event Machine or Python's Twisted.
 .
 It takes the event model a bit further - it presents the event
 loop as a language construct instead of as a library.
 .
 Node.js is bundled with several useful libraries to handle server tasks :
 System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
 HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_UPSTREAM_URL = http://nodejs.org/dist/v$(DEB_UPSTREAM_TARBALL_VERSION)/
DEB_UPSTREAM_TARBALL_BASENAME = node-v$(DEB_UPSTREAM_TARBALL_VERSION)

DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
# ./deps/npm contains some non-DFSG files, repackaging is needed.
# Conveniently, remove unused software to ease debian/copyright maintenance.
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
./deps/npm/ \
./deps/openssl/ \
./deps/zlib/ \
./deps/uv/src/ares/ \
./deps/uv/src/unix/ev/ \
./deps/uv/include/ares*.h \
./deps/uv/include/uv-private/ev.h \
./deps/uv/include/uv-private/tree.h \
./tools/scons/ \
./tools/gyp/ \
./tools/closure_linter/

DEB_UPSTREAM_REPACKAGE_TAG = dfsg1

# suppress checking binary files, to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/trademark-policy\.pdf|doc/joyent-logo_orange_nodeorg-01\.png|doc/logos/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

DEB_CONFIGURE_NORMAL_ARGS = ""
DEB_CONFIGURE_EXTRA_FLAGS = --debug --without-npm --shared-v8 --shared-cares --shared-libev --shared-zlib --no-ssl2
DEB_CONFIGURE_SCRIPT_ENV += PREFIX="/usr"
DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_MAKE_CLEAN_TARGET = clean
#  * relax regression tests when targeted experimental suite
exp-relax-check := $(if $(shell dpkg-parsechangelog | grep -x 'Distribution: \(experimental\|UNRELEASED\)'),-i)
DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test

# properly clean files from build, waf, test, python
clean::
	rm -f node
	rm -f node_g
	rm -f .lock-wscript
	rm -rf build
	rm -f test/fixtures/hello.txt
	rm -rf test/tmp
	find . -name "*.pyc" -delete
	rm -rf out

# we have completion for nodejs-waf
install/nodejs-dev::
	dh_bash-completion

## nodejs 0.6.12~dfsg1

=== Makefile ===
--- 
+++ 
@@ -78,11 +78,14 @@
 out/Release/node: all
 
 apidoc_sources = $(wildcard doc/api/*.markdown)
-apidocs = $(addprefix out/,$(apidoc_sources:.markdown=.html))
-
-apidoc_dirs = out/doc out/doc/api/ out/doc/api/assets out/doc/about out/doc/community out/doc/logos
+apidocs = $(addprefix out/,$(apidoc_sources:.markdown=.html)) \
+          $(addprefix out/,$(apidoc_sources:.markdown=.json))
+
+apidoc_dirs = out/doc out/doc/api/ out/doc/api/assets out/doc/about out/doc/community out/doc/logos out/doc/images
 
 apiassets = $(subst api_assets,api/assets,$(addprefix out/,$(wildcard doc/api_assets/*)))
+
+doc_images = $(addprefix out/,$(wildcard doc/images/* doc/*.jpg doc/*.png))
 
 website_files = \
 	out/doc/index.html    \
@@ -91,26 +94,15 @@
 	out/doc/sh_main.js    \
 	out/doc/sh_javascript.min.js \
 	out/doc/sh_vim-dark.css \
-	out/doc/logo.png      \
-	out/doc/sponsored.png \
+	out/doc/sh.css \
 	out/doc/favicon.ico   \
 	out/doc/pipe.css \
 	out/doc/about/index.html \
-	out/doc/close-downloads.png \
 	out/doc/community/index.html \
-	out/doc/community/not-invented-here.png \
-	out/doc/download-logo.png \
-	out/doc/ebay-logo.png \
-	out/doc/footer-logo.png \
-	out/doc/icons.png \
-	out/doc/linkedin-logo.png \
 	out/doc/logos/index.html \
-	out/doc/microsoft-logo.png \
-	out/doc/platform-icons.png \
-	out/doc/ryan-speaker.jpg \
-	out/doc/yahoo-logo.png
-
-doc docs: out/Release/node $(apidoc_dirs) $(website_files) $(apiassets) $(apidocs)
+	$(doc_images)
+
+doc: node $(apidoc_dirs) $(website_files) $(apiassets) $(apidocs) tools/doc/
 
 $(apidoc_dirs):
 	mkdir -p $@
@@ -119,10 +111,13 @@
 	cp $< $@
 
 out/doc/%: doc/%
-	cp $< $@
-
-out/doc/api/%.html: doc/api/%.markdown out/Release/node $(apidoc_dirs) $(apiassets) tools/doctool/doctool.js
-	out/Release/node tools/doctool/doctool.js doc/template.html $< > $@
+	cp -r $< $@
+
+out/doc/api/%.json: doc/api/%.markdown
+	out/Release/node tools/doc/generate.js --format=json $< > $@
+
+out/doc/api/%.html: doc/api/%.markdown
+	out/Release/node tools/doc/generate.js --format=html --template=doc/template.html $< > $@
 
 out/doc/%:
 
@@ -163,8 +158,19 @@
 
 $(PKG):
 	-rm -rf $(PKGDIR)
-	$(WAF) configure --prefix=/usr/local --without-snapshot
-	DESTDIR=$(PKGDIR) $(WAF) install
+	# Need to remove deps between architecture changes.
+	rm -rf out/*/deps
+	$(WAF) configure --prefix=/usr/local --without-snapshot --dest-cpu=ia32
+	CFLAGS=-m32 DESTDIR=$(PKGDIR)/32 $(WAF) install
+	rm -rf out/*/deps
+	$(WAF) configure --prefix=/usr/local --without-snapshot --dest-cpu=x64
+	CFLAGS=-m64 DESTDIR=$(PKGDIR) $(WAF) install
+	lipo $(PKGDIR)/32/usr/local/bin/node \
+		$(PKGDIR)/usr/local/bin/node \
+		-output $(PKGDIR)/usr/local/bin/node-universal \
+		-create
+	mv $(PKGDIR)/usr/local/bin/node-universal $(PKGDIR)/usr/local/bin/node
+	rm -rf $(PKGDIR)/32
 	$(packagemaker) \
 		--id "org.nodejs.NodeJS-$(VERSION)" \
 		--doc tools/osx-pkg.pmdoc \
@@ -176,7 +182,7 @@
 	cp doc/node.1 $(TARNAME)/doc/node.1
 	cp -r out/doc/api $(TARNAME)/doc/api
 	rm -rf $(TARNAME)/deps/v8/test # too big
-	rm -rf $(TARNAME)/doc/logos # too big
+	rm -rf $(TARNAME)/doc/images # too big
 	tar -cf $(TARNAME).tar $(TARNAME)
 	rm -rf $(TARNAME)
 	gzip -f -9 $(TARNAME).tar

=== wscript ===
#!/usr/bin/env python

# Copyright Joyent, Inc. and other Node contributors.
#
# Permission is hereby granted, free of charge, to any person obtaining a
# copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to permit
# persons to whom the Software is furnished to do so, subject to the
# following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
# OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN
# NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
# USE OR OTHER DEALINGS IN THE SOFTWARE.

import re
import Options
import sys, os, shutil, glob
import Utils
from Utils import cmd_output
from os.path import join, dirname, abspath, normpath
from logging import fatal

cwd = os.getcwd()
APPNAME="node.js"

# Use the directory that this file is found in to find the tools
# directory where the js2c.py file can be found.
sys.path.append(sys.argv[0] + '/tools');
import js2c

if sys.platform.startswith("cygwin"):
  print "cygwin not supported"
  sys.exit(1)

srcdir = '.'
blddir = 'out'
supported_archs = ('arm', 'ia32', 'x64') # 'mips' supported by v8, but not node

jobs=1
if os.environ.has_key('JOBS'):
  jobs = int(os.environ['JOBS'])

def safe_path(path):
  return path.replace("\\", "/")

def canonical_cpu_type(arch):
  m = {'x86': 'ia32', 'i386':'ia32', 'x86_64':'x64', 'amd64':'x64'}
  if arch in m: arch = m[arch]
  if not arch in supported_archs:
    raise Exception("supported architectures are "+', '.join(supported_archs)+\
                    " but NOT '" + arch + "'.")
  return arch

def set_options(opt):
  # the gcc module provides a --debug-level option
  opt.tool_options('compiler_cxx')
  opt.tool_options('compiler_cc')
  opt.tool_options('misc')
  opt.add_option( '--libdir'
                , action='store'
                , type='string'
                , default=False
                , help='Install into this libdir [Release: ${PREFIX}/lib]'
                )
  opt.add_option( '--debug'
                , action='store_true'
                , default=False
                , help='Build debug variant [Release: False]'
                , dest='debug'
                )
  opt.add_option( '--profile'
                , action='store_true'
                , default=False
                , help='Enable profiling [Release: False]'
                , dest='profile'
                )
  opt.add_option( '--efence'
                , action='store_true'
                , default=False
                , help='Build with -lefence for debugging [Release: False]'
                , dest='efence'
                )

  opt.add_option( '--without-npm'
                , action='store_true'
                , default=False
                , help='Don\'t install the bundled npm package manager [Release: False]'
                , dest='without_npm'
                )

  opt.add_option( '--without-snapshot'
                , action='store_true'
                , default=False
                , help='Build without snapshotting V8 libraries. You might want to set this for cross-compiling. [Release: False]'
                , dest='without_snapshot'
                )

  opt.add_option( '--without-ssl'
                , action='store_true'
                , default=False
                , help='Build without SSL'
                , dest='without_ssl'
                )


  opt.add_option('--shared-v8'
                , action='store_true'
                , default=False
                , help='Link to a shared V8 DLL instead of static linking'
                , dest='shared_v8'
                )

  opt.add_option( '--shared-v8-includes'
                , action='store'
                , default=False
                , help='Directory containing V8 header files'
                , dest='shared_v8_includes'
                )

  opt.add_option( '--shared-v8-libpath'
                , action='store'
                , default=False
                , help='A directory to search for the shared V8 DLL'
                , dest='shared_v8_libpath'
                )

  opt.add_option( '--shared-v8-libname'
                , action='store'
                , default=False
                , help="Alternative lib name to link to (default: 'v8')"
                , dest='shared_v8_libname'
                )

  opt.add_option( '--openssl-includes'
                , action='store'
                , default=False
                , help='A directory to search for the OpenSSL includes'
                , dest='openssl_includes'
                )

  opt.add_option( '--openssl-libpath'
                , action='store'
                , default=False
                , help="A directory to search for the OpenSSL libraries"
                , dest='openssl_libpath'
                )

  opt.add_option( '--no-ssl2'
                , action='store_true'
                , default=False
                , help="Disable OpenSSL v2"
                , dest='openssl_nov2'
                )

  opt.add_option( '--gdb'
                , action='store_true'
                , default=False
                , help="add gdb support"
                , dest='use_gdbjit'
                )


  opt.add_option( '--shared-zlib'
                , action='store_true'
                , default=False
                , help='Link to a shared zlib DLL instead of static linking'
                , dest='shared_zlib'
                )

  opt.add_option( '--shared-zlib-includes'
                , action='store'
                , default=False
                , help='Directory containing zlib header files'
                , dest='shared_zlib_includes'
                )

  opt.add_option( '--shared-zlib-libpath'
                , action='store'
                , default=False
                , help='A directory to search for the shared zlib DLL'
                , dest='shared_zlib_libpath'
                )


  opt.add_option( '--shared-cares'
                , action='store_true'
                , default=False
                , help='Link to a shared C-Ares DLL instead of static linking'
                , dest='shared_cares'
                )

  opt.add_option( '--shared-cares-includes'
                , action='store'
                , default=False
                , help='Directory containing C-Ares header files'
                , dest='shared_cares_includes'
                )

  opt.add_option( '--shared-cares-libpath'
                , action='store'
                , default=False
                , help='A directory to search for the shared C-Ares DLL'
                , dest='shared_cares_libpath'
                )


  opt.add_option( '--with-dtrace'
                , action='store_true'
                , default=False
                , help='Build with DTrace (experimental)'
                , dest='dtrace'
                )
 

  opt.add_option( '--product-type'
                , action='store'
                , default='program'
                , help='What kind of product to produce (program, cstaticlib '\
                       'or cshlib) [default: %default]'
                , dest='product_type'
                )

  opt.add_option( '--dest-cpu'
                , action='store'
                , default=None
                , help='CPU architecture to build for. Valid values are: '+\
                       ', '.join(supported_archs)
                , dest='dest_cpu'
                )

def get_node_version():
  def get_define_value(lines, define):
    for line in lines:
      if define in line:
        return line.split()[-1] #define <NAME> <VALUE>

  lines = open("src/node_version.h").readlines()
  node_major_version = get_define_value(lines, 'NODE_MAJOR_VERSION')
  node_minor_version = get_define_value(lines, 'NODE_MINOR_VERSION')
  node_patch_version = get_define_value(lines, 'NODE_PATCH_VERSION')
  node_is_release    = get_define_value(lines, 'NODE_VERSION_IS_RELEASE')

  return "%s.%s.%s%s" % ( node_major_version,
                           node_minor_version,
                           node_patch_version,
                           node_is_release == "0" and "-pre" or ""
                         )



def configure(conf):
  conf.check_tool('compiler_cxx')
  if not conf.env.CXX: conf.fatal('c++ compiler not found')
  conf.check_tool('compiler_cc')
  if not conf.env.CC: conf.fatal('c compiler not found')

  o = Options.options

  if o.libdir:
    conf.env['LIBDIR'] = o.libdir
  else:
    conf.env['LIBDIR'] = conf.env['PREFIX'] + '/lib'

  conf.env["USE_DEBUG"] = o.debug
  # Snapshot building does noet seem to work on mingw32
  conf.env["SNAPSHOT_V8"] = not o.without_snapshot and not sys.platform.startswith("win32")
  if sys.platform.startswith("sunos"):
    conf.env["SNAPSHOT_V8"] = False
  conf.env["USE_PROFILING"] = o.profile

  conf.env["USE_SHARED_V8"] = o.shared_v8 or o.shared_v8_includes or o.shared_v8_libpath or o.shared_v8_libname
  conf.env["USE_SHARED_CARES"] = o.shared_cares or o.shared_cares_includes or o.shared_cares_libpath
  conf.env["USE_SHARED_ZLIB"] = o.shared_zlib or o.shared_zlib_includes or o.shared_zlib_libpath

  conf.env["USE_GDBJIT"] = o.use_gdbjit
  conf.env['USE_NPM'] = not o.without_npm

  if not conf.env["USE_SHARED_ZLIB"] and not sys.platform.startswith("win32"):
    conf.env.append_value("LINKFLAGS", "-lz")

  conf.check(lib='dl', uselib_store='DL')
  if not sys.platform.startswith("sunos") and not sys.platform.startswith("win32"):
    conf.env.append_value("CCFLAGS", "-rdynamic")
    conf.env.append_value("LINKFLAGS_DL", "-rdynamic")

  if 'bsd' in sys.platform:
    conf.check(lib='kvm', uselib_store='KVM')

  #if Options.options.debug:
  #  conf.check(lib='profiler', uselib_store='PROFILER')

  if Options.options.dtrace:
    if not sys.platform.startswith("sunos"):
      conf.fatal('DTrace support only currently available on Solaris')

    conf.find_program('dtrace', var='DTRACE', mandatory=True)
    conf.env["USE_DTRACE"] = True
    conf.env.append_value("CXXFLAGS", "-DHAVE_DTRACE=1")

  if Options.options.efence:
    conf.check(lib='efence', libpath=['/usr/lib', '/usr/local/lib'], uselib_store='EFENCE')

  if 'bsd' in sys.platform:
     if not conf.check(lib="execinfo",
                       includes=['/usr/include', '/usr/local/include'],
                       libpath=['/usr/lib', '/usr/local/lib'],
                       uselib_store="EXECINFO"):
       conf.fatal("Install the libexecinfo port from /usr/ports/devel/libexecinfo.")

  if not Options.options.without_ssl:
    # Don't override explicitly supplied openssl paths with pkg-config results.
    explicit_openssl = o.openssl_includes or o.openssl_libpath

    # Disable ssl v2 methods
    if o.openssl_nov2:
      conf.env.append_value("CPPFLAGS", "-DOPENSSL_NO_SSL2=1")

    if not explicit_openssl and conf.check_cfg(package='openssl',
                                               args='--cflags --libs',
                                               uselib_store='OPENSSL'):
      Options.options.use_openssl = conf.env["USE_OPENSSL"] = True
      conf.env.append_value("CPPFLAGS", "-DHAVE_OPENSSL=1")
    else:
      if o.openssl_libpath: 
        openssl_libpath = [o.openssl_libpath]
      elif not sys.platform.startswith('win32'):
        openssl_libpath = ['/usr/lib', '/usr/local/lib', '/opt/local/lib', '/usr/sfw/lib']
      else:
        openssl_libpath = [normpath(join(cwd, '../openssl'))]

      if o.openssl_includes:

=== debian/changelog ===
nodejs (0.6.12~dfsg1-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable (LP: #892034), remaining changes:
    - This package is x86/arm only. Update control to match
    - d/patches/2009_increase_test_timeout.patch: Increased default test
      timeout from 60 to 120 seconds to support reliable execution of all
      tests on armhf/armel architectures.
    - d/patches/2005_expected_failing_tests.patch: 
      - Allow racey tests to fail: test-cluster-kill-workers,
        test-child-process-fork2 
      - Allow test-fs-watch to fail as LP buildd's don't support
        inotify.
      - Revert all other Ubuntu changes as no longer required.

 -- James Page <james.page@ubuntu.com>  Thu, 29 Mar 2012 23:18:49 +0100

nodejs (0.6.12~dfsg1-1) unstable; urgency=low

  * Update Standards-Version to 3.9.3.
  * Patch wscript to enable build on mipsel arch, libv8 being available.
    Upstream does not support that arch, failure expected.
  * test-cluster-kill-workers is expected to fail on armhf,
    Bug#660802 will be closed when test pass.
  * test-buffer is expected to fail on armel,
    Bug#660800 will be closed when test pass.
  * Add epoch to dependency on libev >= 1:4.11. Closes: bug#658441.
  * Remove tools/doc because node-doc-generator has no license for now.
  * Add copyright for doc/sh* files (shjs).
  * source.lintian-overrides : source-contains-waf-binary tools/node-waf
    it is simply not the case here.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 13 Mar 2012 09:56:02 +0100

nodejs (0.6.11~dfsg1-2) unstable; urgency=low

  * test-stream-pipe-multi expected to timeout sometimes on busy builds. 

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Feb 2012 08:43:24 +0100

nodejs (0.6.11~dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove upstream patches.
  * test-dgram-pingpong expected to timeout, the test itself is buggy.
  * test-buffer expected to fail on armel, allow building package to make
    it easier to find the cause of the failure.
    Closes: bug#639636.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 19 Feb 2012 23:58:31 +0100

nodejs (0.6.10~dfsg2-2) unstable; urgency=low

  [ Jérémy Lal ]
  * Expect tests dgram-multicast and broadcast to fail.
    debian/patches/2005_expected_failing_tests.patch

  [ Jonas Smedegaard ]
  * Drop dpkg-source local-options: Defaults since dpkg-source 1.16.1.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Feb 2012 04:18:27 +0100

nodejs (0.6.10~dfsg2-1) unstable; urgency=low

  * New upstream release.
  * Depend on libev-dev 4.11, see bug#657080.
  * Bump dependency on openssl to 1.0.0g.
  * Remove useless uv_loop_refcount from libuv,
    refreshed 2009_fix_shared_ev.patch.
  * Apply to upstream patches landed after 0.6.10 release,
    to fix debugger repl and http client.

 -- Jérémy Lal <kapouer@melix.org>  Thu, 16 Feb 2012 23:52:16 +0100

nodejs (0.4.12-3ubuntu2) precise; urgency=low

  * Fix FTBFS on armhf:
    -  d/patches/2009_increase_test_timeout.patch: Increased default test 
       timeout from 60 to 120 seconds to support reliable execution of all 
       tests on armhf/armel architectures.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Feb 2012 12:45:29 +0000

nodejs (0.4.12-3ubuntu1) precise; urgency=low

  * Merge from Debian unstable:
    - This package is x86/arm only. Update control to match
    - Drop 2007_remove_internet_test.patch, update
      2005_expected_failing_tests.patch instead:
      + Allow test-dgram-multicast to fail, requires root privileges.
      + Allow test-c-ares, test-regress-GH-819 and test-net-connect-timeout to
        fail, they require network access.
  * Rebuild with new version of libv8.

 -- James Page <james.page@ubuntu.com>  Thu, 09 Feb 2012 15:01:27 +0000

nodejs (0.4.12-1ubuntu2) precise; urgency=low

  * This package is x86/arm only. Update control to match

 -- Ben Collins <bcollins@ubuntu.com>  Thu, 19 Jan 2012 18:49:49 +0000

nodejs (0.4.12-1ubuntu1) precise; urgency=low

  * Merge from Debian unstable,
  * Drop 2007_remove_internet_test.patch, update
    2005_expected_failing_tests.patch instead:
    - Allow test-dgram-multicast to fail, requires root privileges.
    - Allow test-c-ares, test-regress-GH-819 and test-net-connect-timeout to
      fail, they require network access.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 29 Nov 2011 19:27:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,44 +1,43 @@
 Source: nodejs
 Section: web
 Priority: extra
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
- Dave Beckett <dajobe@debian.org>,
  Jonas Smedegaard <dr@jones.dk>
 DM-Upload-Allowed: yes
 Build-Depends: cdbs (>= 0.4.70~),
- autotools-dev,
  devscripts,
  debhelper,
  dh-buildinfo,
  python,
- libv8-dev (>= 3.6.6),
- libv8-dev (<< 3.7),
+ libv8-dev (>= 3.7),
+ libv8-dev (<< 3.8),
  binutils,
- libssl-dev (>= 0.9.8),
- libev-dev (>= 4.04),
+ libssl-dev (>= 1.0.0g),
+ libev-dev (>= 1:4.11),
  libc-ares-dev (>= 1.7.5),
- openssl (>= 0.9.8),
+ openssl (>= 1.0.0g),
  pkg-config,
  bash-completion,
  curl,
  procps,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://nodejs.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nodejs.git
 Vcs-Git: git://git.debian.org/git/collab-maint/nodejs.git
 
 Package: nodejs-dev
 Section: devel
-Architecture: any
+Architecture: any-i386 any-amd64 armel armhf
 Depends: nodejs (= ${binary:Version}),
  ${misc:Depends},
  python,
- libv8-dev (>= 3.6.6),
- libv8-dev (<< 3.7),
- libssl-dev (>= 0.9.8),
- libev-dev (>= 4.04),
+ libv8-dev (>= 3.7),
+ libv8-dev (<< 3.8),
+ libssl-dev (>= 1.0.0g),
+ libev-dev (>= 1:4.11),
  libc-ares-dev (>= 1.7.5)
 Description: Development files for Node.js
  Node.js provides an event-based server-side javascript engine.
@@ -52,7 +51,7 @@
  This package is needed to build plugins.
 
 Package: nodejs
-Architecture: any
+Architecture: any-i386 any-amd64 armel armhf
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Conflicts: node
@@ -69,7 +68,7 @@
 
 Package: nodejs-dbg
 Section: debug
-Architecture: any
+Architecture: any-i386 any-amd64 armel armhf
 Depends: ${misc:Depends},
  nodejs (= ${binary:Version})
 Suggests: libv8-dbg

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 # ./deps/npm contains some non-DFSG files, repackaging is needed.
+# ./tools/doc/ is unlicensed, https://github.com/joyent/node/issues/2872
+# and will be fixed in 0.6.13, https://github.com/joyent/node/commit/33f9074a.
 # Conveniently, remove unused software to ease debian/copyright maintenance.
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./deps/npm/ \
@@ -22,12 +24,13 @@
 ./deps/uv/include/uv-private/tree.h \
 ./tools/scons/ \
 ./tools/gyp/ \
-./tools/closure_linter/
+./tools/closure_linter/ \
+./tools/doc/
 
-DEB_UPSTREAM_REPACKAGE_TAG = dfsg1
+DEB_UPSTREAM_REPACKAGE_TAG = $(shell echo $(DEB_UPSTREAM_VERSION) | egrep -o "dfsg[0-9]+")
 
 # suppress checking binary files, to not upset dpkg-source
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/trademark-policy\.pdf|doc/joyent-logo_orange_nodeorg-01\.png|doc/logos/.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(doc/trademark-policy\.pdf|doc/mac_osx_nodejs_installer_logo\.png|doc/.*-white-stripe\.jpg|favicon\.ico|debian/(changelog|copyright(|_hints|_newhints)))$
 
 DEB_CONFIGURE_NORMAL_ARGS = ""
 DEB_CONFIGURE_EXTRA_FLAGS = --debug --without-npm --shared-v8 --shared-cares --shared-libev --shared-zlib --no-ssl2
@@ -49,6 +52,12 @@
 	find . -name "*.pyc" -delete
 	rm -rf out
 
+# remove *.json files from documentation, remove google-analytics calls
+# TODO: when doc will be generated from markdown, remove it from doc/template.html
+binary-install/nodejs::
+	find debian/nodejs/usr/share/doc/nodejs -name *.json -delete
+	sed -i -e '/document\.write/d' -e '/pageTracker/d' debian/nodejs/usr/share/doc/nodejs/api/*.html
+
 # we have completion for nodejs-waf
 install/nodejs-dev::
 	dh_bash-completion
